
QGIS Application - Bug report #17719

Dragging and dropping MS SQL table in browser window causes overwriting of existing table

2017-12-18 07:45 PM - Matthew Baker

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.14 Regression?: No

Operating System: WINDOWS 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25615

Description

Today I experienced a very strange behaviour from the browser window working with tables in my MS SQL connection.

I inadvertently dragged and dropped a layer into the same connection/schema. The table was dropped and re-created with the same

name, but all the data lost, and instead of the OBJECTID field I had created in the original SQL, it had created a QGISID (or similar) field.

In addition to this issue, I have great concerns with abilities within the browser window in regards to dragging and dropping layers and how

new tables are created. This applies to PostGIS tables as well.

I'm not sure if this is a bug, or a feature request, but when working with database tables such as MS SQL, PostGIS, etc., why does the

browser window have these abilities when the DB manager GUI such as MSSQL or PGAdmin, or other tools such as DataGrip, should be

where these actions take place?

Related issues:

Duplicates QGIS Application - Bug report # 16805: Corrupting SQL Server table... Closed 2017-07-07

History

#1 - 2017-12-19 04:03 AM - Nathan Woodrow

- Duplicates Bug report #16805: Corrupting SQL Server tables when using drag and drop in QGIS browser added

#2 - 2017-12-19 04:04 AM - Nathan Woodrow

Thanks.  Yeah, this is not ideal at all. If someone else doesn't fix this I will fix it before the next patch release.

#3 - 2017-12-19 04:41 AM - Matthew Baker

Oh thanks, Nathan! Happy to test anything MSSQL as we are heavy users with QGIS. Thanks again!

Nathan Woodrow wrote:

Thanks.  Yeah, this is not ideal at all. If someone else doesn't fix this I will fix it before the next patch release.

#4 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2018-10-02 10:17 PM - Nyall Dawson

- Category changed from Browser to Data Provider/MSSQL

2024-04-28 1/2



#6 - 2018-10-05 05:54 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicate of #16805

#7 - 2018-10-05 04:52 PM - Matthew Baker

Do you think the ability to drag and drop tables in the browser window will be removed entirely in lieu of using a DBA gui (DBeaver, Datagrip, etc.) instead?

Nyall Dawson wrote:

Duplicate of #16805

#8 - 2018-10-08 08:41 AM - Nyall Dawson

Do you think the ability to drag and drop tables in the browser window will be removed entirely in lieu of using a DBA gui (DBeaver, Datagrip, etc.)

instead?

No - that's a feature, not a bug !
